% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/DataFrame.R
\name{attach,SparkDataFrame-method}
\alias{attach,SparkDataFrame-method}
\alias{attach}
\title{Attach SparkDataFrame to R search path}
\usage{
\S4method{attach}{SparkDataFrame}(
  what,
  pos = 2L,
  name = paste(deparse(substitute(what), backtick = FALSE), collapse = " "),
  warn.conflicts = TRUE
)
}
\arguments{
\item{what}{(SparkDataFrame) The SparkDataFrame to attach}

\item{pos}{(integer) Specify position in search() where to attach.}

\item{name}{(character) Name to use for the attached SparkDataFrame. Names
starting with package: are reserved for library.}

\item{warn.conflicts}{(logical) If TRUE, warnings are printed about conflicts
from attaching the database, unless that SparkDataFrame contains an object}
}
\description{
The specified SparkDataFrame is attached to the R search path. This means that
the SparkDataFrame is searched by R when evaluating a variable, so columns in
the SparkDataFrame can be accessed by simply giving their names.
}
\note{
attach since 1.6.0
}
\examples{
\dontrun{
attach(irisDf)
summary(Sepal_Width)
}
}
\seealso{
\link{detach}

Other SparkDataFrame functions: 
\code{\link{SparkDataFrame-class}},
\code{\link{agg}()},
\code{\link{alias}()},
\code{\link{arrange}()},
\code{\link{as.data.frame}()},
\code{\link{broadcast}()},
\code{\link{cache}()},
\code{\link{checkpoint}()},
\code{\link{coalesce}()},
\code{\link{collect}()},
\code{\link{colnames}()},
\code{\link{coltypes}()},
\code{\link{createOrReplaceTempView}()},
\code{\link{crossJoin}()},
\code{\link{cube}()},
\code{\link{dapply}()},
\code{\link{dapplyCollect}()},
\code{\link{describe}()},
\code{\link{dim}()},
\code{\link{distinct}()},
\code{\link{drop}()},
\code{\link{dropDuplicates}()},
\code{\link{dropna}()},
\code{\link{dtypes}()},
\code{\link{except}()},
\code{\link{exceptAll}()},
\code{\link{explain}()},
\code{\link{filter}()},
\code{\link{first}()},
\code{\link{gapply}()},
\code{\link{gapplyCollect}()},
\code{\link{getNumPartitions}()},
\code{\link{group_by}()},
\code{\link{head}()},
\code{\link{hint}()},
\code{\link{histogram}()},
\code{\link{insertInto}()},
\code{\link{intersect}()},
\code{\link{intersectAll}()},
\code{\link{isLocal}()},
\code{\link{isStreaming}()},
\code{\link{join}()},
\code{\link{limit}()},
\code{\link{localCheckpoint}()},
\code{\link{merge}()},
\code{\link{mutate}()},
\code{\link{ncol}()},
\code{\link{nrow}()},
\code{\link{persist}()},
\code{\link{printSchema}()},
\code{\link{randomSplit}()},
\code{\link{rbind}()},
\code{\link{rename}()},
\code{\link{repartition}()},
\code{\link{repartitionByRange}()},
\code{\link{rollup}()},
\code{\link{sample}()},
\code{\link{saveAsTable}()},
\code{\link{schema}()},
\code{\link{select}()},
\code{\link{selectExpr}()},
\code{\link{show}()},
\code{\link{showDF}()},
\code{\link{storageLevel}()},
\code{\link{str}()},
\code{\link{subset}()},
\code{\link{summary}()},
\code{\link{take}()},
\code{\link{toJSON}()},
\code{\link{union}()},
\code{\link{unionAll}()},
\code{\link{unionByName}()},
\code{\link{unpersist}()},
\code{\link{unpivot}()},
\code{\link{with}()},
\code{\link{withColumn}()},
\code{\link{withWatermark}()},
\code{\link{write.df}()},
\code{\link{write.jdbc}()},
\code{\link{write.json}()},
\code{\link{write.orc}()},
\code{\link{write.parquet}()},
\code{\link{write.stream}()},
\code{\link{write.text}()}
}
\concept{SparkDataFrame functions}
